org.keycloak.connections.jpa.updater.liquibase.custom

## Class AbstractUserFedToComponent

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask
  - - org.keycloak.connections.jpa.updater.liquibase.custom.AbstractUserFedToComponent

- All Implemented Interfaces:
    liquibase.change.custom.CustomChange, liquibase.change.custom.CustomSqlChange
  Direct Known Subclasses:
    MigrateUserFedToComponent, PortLdapUserFedToComponentModel

      public abstract class AbstractUserFedToComponent
      extends CustomKeycloakTask

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask

      `confirmationMessage, connection, database, jdbcConnection, kcSession, statements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUserFedToComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected liquibase.statement.core.InsertStatement` | `componentConfigStatement(String componentId, String name, String value)`
    `protected void` | `convertFedMapperToComponent(String realmId, String parentId, String newMapperType)`
    `protected void` | `convertFedProviderToComponent(String providerId, String newMapperType)`

    - ### Methods inherited from class org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask

      `generateStatements, generateStatementsImpl, getConfirmationMessage, getTableName, getTaskId, isApplicable, setFileOpener, setUp, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUserFedToComponent

          public AbstractUserFedToComponent()

  - ### Method Detail

    - #### convertFedProviderToComponent

          protected void convertFedProviderToComponent(String providerId,
                                                       String newMapperType)
                                                throws liquibase.exception.CustomChangeException

      Throws:
        `liquibase.exception.CustomChangeException`

    - #### componentConfigStatement

          protected liquibase.statement.core.InsertStatement componentConfigStatement(String componentId,
                                                                                      String name,
                                                                                      String value)

    - #### convertFedMapperToComponent

          protected void convertFedMapperToComponent(String realmId,
                                                     String parentId,
                                                     String newMapperType)
                                              throws liquibase.exception.CustomChangeException

      Throws:
        `liquibase.exception.CustomChangeException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.